Subject: bug#11105: 24.0.94; (wrong-type-argument strinp (eval.c))

From: Stefan Monnier <[email-masked]>
Date: Wed, 28 Mar 2012 12:00:46 -0400

> I get this error message from time to time - have to go to *Messages* to
> find it, so something must be preventing it from surfacing:
 
> Error in post-command-hook (#[nil \300\301!\207 [run-hooks
> icomplete-post-command-hook] 2]): (wrong-type-argument stringp (eval.c))
 
> Sorry, but I have no more info than that.  I tried looking at
> `icomplete-exhibit', which is the only function on
> `icomplete-post-command-hook', to see if I could guess what the problem
> is, but I didn't succeed.  Feel free to close this, if it doesn't help
> you find a problem.

If you can figure out how to trigger it, or at least describe the
circumstance where it happens, maybe we can track it down, but without
that info it doesn't seem easy to figure out what's going on.

        Stefan